# Enum Class VulkanDescriptorType

java.lang.Object
java.lang.Enum<VulkanDescriptorType>
com.io7m.jcoronado.api.VulkanDescriptorType

All Implemented Interfaces:
  `VulkanEnumIntegerType, Serializable, Comparable<VulkanDescriptorType>, Constable`

public enum VulkanDescriptorType extends Enum<VulkanDescriptorType> implements VulkanEnumIntegerType
Specifies the type of a descriptor in a descriptor set.

See Also:
  - "VkDescriptorType"

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class Enum

  `Enum.EnumDesc<E>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `VK_DESCRIPTOR_TYPE_COMBINED_IMAGE_SAMPLER`
  Specifies a combined image sampler descriptor
  `VK_DESCRIPTOR_TYPE_INPUT_ATTACHMENT`
  Specifies an input attachment descriptor
  `VK_DESCRIPTOR_TYPE_SAMPLED_IMAGE`
  Specifies a sampled image descriptor
  `VK_DESCRIPTOR_TYPE_SAMPLER`
  Specifies a sampler descriptor
  `VK_DESCRIPTOR_TYPE_STORAGE_BUFFER`
  Specifies a storage buffer descriptor
  `VK_DESCRIPTOR_TYPE_STORAGE_BUFFER_DYNAMIC`
  Specifies a dynamic storage buffer descriptor
  `VK_DESCRIPTOR_TYPE_STORAGE_IMAGE`
  Specifies a storage image descriptor
  `VK_DESCRIPTOR_TYPE_STORAGE_TEXEL_BUFFER`
  Specifies a storage texel buffer descriptor
  `VK_DESCRIPTOR_TYPE_UNIFORM_BUFFER`
  Specifies a uniform buffer descriptor
  `VK_DESCRIPTOR_TYPE_UNIFORM_BUFFER_DYNAMIC`
  Specifies a dynamic uniform buffer descriptor
  `VK_DESCRIPTOR_TYPE_UNIFORM_TEXEL_BUFFER`
  Specifies a uniform texel buffer descriptor

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `value()`
  `static VulkanDescriptorType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static VulkanDescriptorType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### VK_DESCRIPTOR_TYPE_SAMPLER

    public static final VulkanDescriptorType VK_DESCRIPTOR_TYPE_SAMPLER
    Specifies a sampler descriptor

  - ### VK_DESCRIPTOR_TYPE_COMBINED_IMAGE_SAMPLER

    public static final VulkanDescriptorType VK_DESCRIPTOR_TYPE_COMBINED_IMAGE_SAMPLER
    Specifies a combined image sampler descriptor

  - ### VK_DESCRIPTOR_TYPE_SAMPLED_IMAGE

    public static final VulkanDescriptorType VK_DESCRIPTOR_TYPE_SAMPLED_IMAGE
    Specifies a sampled image descriptor

  - ### VK_DESCRIPTOR_TYPE_STORAGE_IMAGE

    public static final VulkanDescriptorType VK_DESCRIPTOR_TYPE_STORAGE_IMAGE
    Specifies a storage image descriptor

  - ### VK_DESCRIPTOR_TYPE_UNIFORM_TEXEL_BUFFER

    public static final VulkanDescriptorType VK_DESCRIPTOR_TYPE_UNIFORM_TEXEL_BUFFER
    Specifies a uniform texel buffer descriptor

  - ### VK_DESCRIPTOR_TYPE_STORAGE_TEXEL_BUFFER

    public static final VulkanDescriptorType VK_DESCRIPTOR_TYPE_STORAGE_TEXEL_BUFFER
    Specifies a storage texel buffer descriptor

  - ### VK_DESCRIPTOR_TYPE_UNIFORM_BUFFER

    public static final VulkanDescriptorType VK_DESCRIPTOR_TYPE_UNIFORM_BUFFER
    Specifies a uniform buffer descriptor

  - ### VK_DESCRIPTOR_TYPE_STORAGE_BUFFER

    public static final VulkanDescriptorType VK_DESCRIPTOR_TYPE_STORAGE_BUFFER
    Specifies a storage buffer descriptor

  - ### VK_DESCRIPTOR_TYPE_UNIFORM_BUFFER_DYNAMIC

    public static final VulkanDescriptorType VK_DESCRIPTOR_TYPE_UNIFORM_BUFFER_DYNAMIC
    Specifies a dynamic uniform buffer descriptor

  - ### VK_DESCRIPTOR_TYPE_STORAGE_BUFFER_DYNAMIC

    public static final VulkanDescriptorType VK_DESCRIPTOR_TYPE_STORAGE_BUFFER_DYNAMIC
    Specifies a dynamic storage buffer descriptor

  - ### VK_DESCRIPTOR_TYPE_INPUT_ATTACHMENT

    public static final VulkanDescriptorType VK_DESCRIPTOR_TYPE_INPUT_ATTACHMENT
    Specifies an input attachment descriptor

- ## Method Details

  - ### values

    public static VulkanDescriptorType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static VulkanDescriptorType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### value

    public int value()
    Specified by:
      `value` in interface `VulkanEnumIntegerType`
    Returns:
      The integer value of the constant